package com.echepei.dto.mail;

import lombok.Data;

import java.util.List;

/**
 * @author Rain
 */
@Data
public class MailDto {


    /**
     * 邮件类型 管理 mail type枚举
     */
    private Integer mailType;

    /**
     * 邮件用户名
     */
    private String mailUserName;

    /**
     * 邮箱授权码，非登录密码
     */
    private String mailPassword;

    /**
     * 邮件发送人
     */
    private String mailFrom;

    /**
     * 邮件接收人
     * 多人以 ; 分号间隔
     */
    private String mailTo;

    /**
     * 邮件抄送人
     * 多人以 ; 分号间隔
     */
    private String mailCc;


    /**
     * 邮件密送人
     * 多人以 ; 分号间隔
     */
    private String mailBcc;

    /**
     * 邮件标题
     */
    private String mailTitle;

    /**
     * 邮件内容
     */
    private String mailContent;


    /**
     * 邮件附件路径
     */
    private List<String> mailFilePath;



}
